Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface WliJMSControl

All Superinterfaces:
  Control, JMSControl, Serializable, XMLControl

    public interface WliJMSControl

extends JMSControl

Nested Class Summary
`static interface` | `WliJMSControl.Callback`

Nested classes/interfaces inherited from interface com.bea.control.JMSControl
`JMSControl.DeliveryMode, JMSControl.JMS, JMSControl.JMSCallBackHeaders, JMSControl.JmsSend, JMSControl.JMSSendHeaders, JMSControl.Properties, JMSControl.PropertyValue, JMSControl.TransactionSetting, JMSControl.Type`

Field Summary

Fields inherited from interface com.bea.control.JMSControl
`HEADER_CORRELATIONID, HEADER_DELIVERYMODE, HEADER_EXPIRATION, HEADER_MESSAGEID, HEADER_PRIORITY, HEADER_REDELIVERED, HEADER_TIMESTAMP, HEADER_TYPE`

Method Summary
`com.bea.wli.control.dynamicProperties.JMSControlPropertiesDocument` | `getControlProperties()` This method returns the WliJMSControl's properties.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.JMSControlPropertiesDocument jmsProps)` This method sets the control properties dynamically.

Methods inherited from interface com.bea.control.JMSControl
`getHeaders, getProperties, getSession, setHeaders, setProperties, subscribe, unsubscribe`

Method Detail

### setProperties

    void setProperties(com.bea.wli.control.dynamicProperties.JMSControlPropertiesDocument jmsProps)
                       throws ControlException

  This method sets the control properties dynamically. Properties set by this method over-ride the static annotations.

  Parameters:
    `jmsProps` - control properties
  Throws:
    `ControlException`

### getControlProperties

    com.bea.wli.control.dynamicProperties.JMSControlPropertiesDocument getControlProperties()

  This method returns the WliJMSControl's properties.

  Returns:
    JMSControlPropertiesDocument WliJMSControl dynamic properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD